API referenceEndpointsSegmentsId
Update a segment
Renames a segment or changes its filter.
Authorization
apiKey AuthorizationBearer <token>
An API key from the dashboard (ms_…), sent as Authorization: Bearer. A sending-only key reaches the /emails routes only.
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/segments/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "Example customers" }'{ "object": "segment", "id": "ae2014de-c168-4c61-8267-70d2662a1ce1", "name": "Order updates", "filter": { "match": "all", "conditions": [ { "field": "email", "op": "ends_with", "value": "@example.com" } ] }, "created_at": "2026-10-19T12:00:00.000Z"}